Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Interface PortalAppflowConstants

All Known Implementing Classes:
  PortalAppflowFactory

public interface PortalAppflowConstants

A java interface used to hold common portal constants. There are no methods on this interface.

Field Summary
`static java.lang.String` | `AUTO_LOGIN` Return value from portal PreProcessor indicating that the user requests auto-login.
`static java.lang.String` | `AUTO_LOGIN_EVENT` Suffix for auto-login event String.
`static java.lang.String` | `DELAY_P13N_UPDATES_PROPERTY` PortalContext environment property.
`static java.lang.String` | `FRAMEWORK_EVENT_PREFIX` The String prefix for all Portal framework events.
`static java.lang.String` | `FRAMEWORK_REFRESH_EVENT` Suffix for refresh event String.
`static java.lang.String` | `GROUP_PORTAL_NAME` Constants used to store the GroupPortal name in the session
`static java.lang.String` | `GROUP_PORTAL_NAME_SESSION_KEY`
`static java.lang.String` | `INTERNAL_FRAMEWORK_EVENT_PREFIX` The String prefix for all internal Portal framework events.
`static java.lang.String` | `LAST_CONTENT_URL` Webflow response string that indicates that a Portlet's current content URL should remain the same.
`static java.lang.String` | `PAGE_PARAMETER` The Portal page parameter name.
`static java.lang.String` | `PORTAL_REFRESH` Return value from a Portal processor indicating that the Portal should be refreshed.
`static java.lang.String` | `PORTLET_EDIT` Portlet edit event.
`static java.lang.String` | `PORTLET_EDIT_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_EVENT` Partial Portlet event String.
`static java.lang.String` | `PORTLET_EVENT_EVENT` Portlet webflow event Suffix String.
`static java.lang.String` | `PORTLET_FLOAT` Portlet float event.
`static java.lang.String` | `PORTLET_FLOAT_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_MAXIMIZE` Portlet maximize event.
`static java.lang.String` | `PORTLET_MAXIMIZE_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_MINIMIZE` Portlet minimize event.
`static java.lang.String` | `PORTLET_MINIMIZE_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_PARAMETER` The Portlet parameter name.
`static java.lang.String` | `PORTLET_REFRESH` Portlet refresh event.
`static java.lang.String` | `PORTLET_UNEDIT` Portlet unedit event.
`static java.lang.String` | `PORTLET_UNEDIT_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_UNMAXIMIZE` Portlet unmaximize event.
`static java.lang.String` | `PORTLET_UNMAXIMIZE_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_UNMINIMIZE` Portlet unminimize event.
`static java.lang.String` | `PORTLET_UNMINIMIZE_EVENT` Portlet event Suffix String.
`static java.lang.String` | `PORTLET_WEBFLOW_EVENT` Portlet webflow event to invokde the PrtletEventProcessor.
`static java.lang.String` | `PORTLET_WEBFLOW_EVENT_PARAMETER` The actual portlets webflow event as defined in the portlets webflow xml file.
`static java.lang.String` | `PORTLET_WEBFLOW_FLOAT_EVENT` Floating portlet webflow event.
`static java.lang.String` | `PORTLET_WEBFLOW_NAMESPACE_PARAMETER` The portlet's webflow namespace.
`static java.lang.String` | `POST_LOGIN` Return value from PreProcessor indicating that the user needs to perform post login processing.
`static java.lang.String` | `POST_LOGIN_EVENT` Suffix for post-login event String.
`static java.lang.String` | `SESSION_TIMEOUT` Return value from a portal processor indicating that the user session has timed out.
`static java.lang.String` | `SESSION_TIMEOUT_EVENT` Session timeout event Suffix String.
`static java.lang.String` | `SUCCESS_EVENT` Success event String.

Field Detail

### PAGE_PARAMETER

    public static final java.lang.String PAGE_PARAMETER

  The Portal page parameter name. An HttpServletRequest parameter used by portal webflow to determine which page this request is for. This is automatically supplied by the `<portal/>` and `<portlet/>` tags.

### PORTLET_PARAMETER

    public static final java.lang.String PORTLET_PARAMETER

  The Portlet parameter name. An HttpServletRequest parameter used by portal webflow to determine which portlet this request is for. This is automatically supplied by the `<portal/>` and `<portlet/>` tags.

### PORTLET_WEBFLOW_EVENT_PARAMETER

    public static final java.lang.String PORTLET_WEBFLOW_EVENT_PARAMETER

  The actual portlets webflow event as defined in the portlets webflow xml file. The true webflow event (`PORTLET_WEBFLOW_EVENT`) invokes the `PortletEventProcessor`. It is the `PortletEventProcessor` that uses this HttpServletRequest parameter to invoke the portlet's webflow
  See Also:
    `PortletEventProcessor`, `PORTLET_WEBFLOW_EVENT`

### PORTLET_WEBFLOW_NAMESPACE_PARAMETER

    public static final java.lang.String PORTLET_WEBFLOW_NAMESPACE_PARAMETER

  The portlet's webflow namespace. The portlet's namespace used for a webflow event can be modified by supplying this optional parameter as part of the HTTP request. The `PortletEventProcessor` picks this parameter from the request, if this parameter is not supplied the `PortletEventProcessor` will default to using namespace supplied in the portlet's XML definition file.
  See Also:
    `PortletEventProcessor`

### LAST_CONTENT_URL

    public static final java.lang.String LAST_CONTENT_URL

  Webflow response string that indicates that a Portlet's current content URL should remain the same. This is a special webflow `<destination/>` node used to by the portal engine to indicate that the content of the portlet should not change. The last URL displayed in the portlet should be the one displayed. This can be used on refresh events.

          Example:

          <event event-name="bea.portal.framework.internal.refresh">
              <destination namespace="portal" node-name="lastContentUrl" node-type="portal"/>
          </event>

### POST_LOGIN_EVENT

    public static final java.lang.String POST_LOGIN_EVENT

  Suffix for post-login event String.
  See Also:
    `POST_LOGIN`

### AUTO_LOGIN_EVENT

    public static final java.lang.String AUTO_LOGIN_EVENT

  Suffix for auto-login event String.
  See Also:
    `AUTO_LOGIN`

### FRAMEWORK_REFRESH_EVENT

    public static final java.lang.String FRAMEWORK_REFRESH_EVENT

  Suffix for refresh event String.
  See Also:
    `PORTLET_REFRESH`, `PORTAL_REFRESH`

### PORTLET_EVENT

    public static final java.lang.String PORTLET_EVENT

  Partial Portlet event String. This plus prefix and suffix help build the actual portlet event.
  See Also:
    `PORTLET_FLOAT`, `PORTLET_EDIT`, `PORTLET_UNEDIT`, `PORTLET_MAXIMIZE`, `PORTLET_UNMAXIMIZE`, `PORTLET_MINIMIZE`, `PORTLET_UNMINIMIZE`

### PORTLET_FLOAT_EVENT

    public static final java.lang.String PORTLET_FLOAT_EVENT

  Portlet event Suffix String.

### PORTLET_EDIT_EVENT

    public static final java.lang.String PORTLET_EDIT_EVENT

  Portlet event Suffix String.

### PORTLET_UNEDIT_EVENT

    public static final java.lang.String PORTLET_UNEDIT_EVENT

  Portlet event Suffix String.

### PORTLET_MAXIMIZE_EVENT

    public static final java.lang.String PORTLET_MAXIMIZE_EVENT

  Portlet event Suffix String.

### PORTLET_UNMAXIMIZE_EVENT

    public static final java.lang.String PORTLET_UNMAXIMIZE_EVENT

  Portlet event Suffix String.

### PORTLET_MINIMIZE_EVENT

    public static final java.lang.String PORTLET_MINIMIZE_EVENT

  Portlet event Suffix String.

### PORTLET_UNMINIMIZE_EVENT

    public static final java.lang.String PORTLET_UNMINIMIZE_EVENT

  Portlet event Suffix String.

### PORTLET_EVENT_EVENT

    public static final java.lang.String PORTLET_EVENT_EVENT

  Portlet webflow event Suffix String.

### SESSION_TIMEOUT_EVENT

    public static final java.lang.String SESSION_TIMEOUT_EVENT

  Session timeout event Suffix String.
  See Also:
    `SESSION_TIMEOUT`

### SUCCESS_EVENT

    public static final java.lang.String SUCCESS_EVENT

  Success event String.

### FRAMEWORK_EVENT_PREFIX

    public static final java.lang.String FRAMEWORK_EVENT_PREFIX

  The String prefix for all Portal framework events.

### INTERNAL_FRAMEWORK_EVENT_PREFIX

    public static final java.lang.String INTERNAL_FRAMEWORK_EVENT_PREFIX

  The String prefix for all internal Portal framework events.

### PORTAL_REFRESH

    public static final java.lang.String PORTAL_REFRESH

  Return value from a Portal processor indicating that the Portal should be refreshed.

### PORTLET_REFRESH

    public static final java.lang.String PORTLET_REFRESH

  Portlet refresh event. When refreshing a portlet if the PortalSession content map has an entry for this portlet then invoke the `PORTLET_REFRESH` event, oherwise invoke the begin node.

### PORTLET_FLOAT

    public static final java.lang.String PORTLET_FLOAT

  Portlet float event.

### PORTLET_EDIT

    public static final java.lang.String PORTLET_EDIT

  Portlet edit event.
  See Also:
    `EditProcessor`

### PORTLET_UNEDIT

    public static final java.lang.String PORTLET_UNEDIT

  Portlet unedit event.
  See Also:
    `UneditProcessor`

### PORTLET_MAXIMIZE

    public static final java.lang.String PORTLET_MAXIMIZE

  Portlet maximize event.
  See Also:
    `MaximizeProcessor`

### PORTLET_UNMAXIMIZE

    public static final java.lang.String PORTLET_UNMAXIMIZE

  Portlet unmaximize event.
  See Also:
    `UnmaximizeProcessor`

### PORTLET_MINIMIZE

    public static final java.lang.String PORTLET_MINIMIZE

  Portlet minimize event.
  See Also:
    `MinimizeProcessor`

### PORTLET_UNMINIMIZE

    public static final java.lang.String PORTLET_UNMINIMIZE

  Portlet unminimize event.
  See Also:
    `UnminimizeProcessor`

### POST_LOGIN

    public static final java.lang.String POST_LOGIN

  Return value from PreProcessor indicating that the user needs to perform post login processing. PostLoginProcessor is the final processor called after the user is successfully logged in. The develper may extend webflow to do additional application specific processing.
  See Also:
    `PostLoginProcessor`

### AUTO_LOGIN

    public static final java.lang.String AUTO_LOGIN

  Return value from portal PreProcessor indicating that the user requests auto-login.
  See Also:
    `AutoLoginProcessor`, `PreProcessor`

### SESSION_TIMEOUT

    public static final java.lang.String SESSION_TIMEOUT

  Return value from a portal processor indicating that the user session has timed out.
  See Also:
    `AbstractPortalProcessor`

### PORTLET_WEBFLOW_EVENT

    public static final java.lang.String PORTLET_WEBFLOW_EVENT

  Portlet webflow event to invokde the PrtletEventProcessor.
  See Also:
    `PortletEventProcessor`, `PORTLET_WEBFLOW_EVENT_PARAMETER`

### PORTLET_WEBFLOW_FLOAT_EVENT

    public static final java.lang.String PORTLET_WEBFLOW_FLOAT_EVENT

  Floating portlet webflow event.

### DELAY_P13N_UPDATES_PROPERTY

    public static final java.lang.String DELAY_P13N_UPDATES_PROPERTY

  PortalContext environment property. The property name in the resource bundle com/bea/portal/appflow/portal-context.properties. Setting this property to false delays updates until the user logs out. If set to true, the portal framework events (minimize/unminimize) will be persisted immediately.

### GROUP_PORTAL_NAME

    public static final java.lang.String GROUP_PORTAL_NAME

  Constants used to store the GroupPortal name in the session

### GROUP_PORTAL_NAME_SESSION_KEY

    public static final java.lang.String GROUP_PORTAL_NAME_SESSION_KEY

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved